# Barry::LdifStore Class Reference

`#include <ldifio.h>`

Collaboration diagram for Barry::LdifStore:

[legend]

List of all members.

## Detailed Description

Storage class suitable for use in a RecordParser<> or RecordBuilder<>.

Be sure to use the input constructors for RecordBuilder<> objects and output constructors for RecordParser<> objects.

Examples: Read contacts from an ldif stream on stdin: new RecordBuilder<Contact, LdifStore>( new LdifStore(cin) );

Write contacts to an ldif stream on stdout: new RecordParser<Contact, LdifStore>( new LdifStore(cout, baseDN, dnAttr) );

Definition at line 50 of file ldifio.h.

The documentation for this class was generated from the following files:

- ldifio.h
- ldifio.cc